[arch-commits] Commit in pacbuild/repos (extra-i686 extra-i686/PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Sat Apr 18 07:42:35 EDT 2009


    Date: Saturday, April 18, 2009 @ 07:42:35
  Author: andrea
Revision: 35938

Merged revisions 35937 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/pacbuild/trunk

........
  r35937 | andrea | 2009-04-18 13:42:12 +0200 (Sat, 18 Apr 2009) | 1 line
  
  upgpkg: pacbuild 0.4-2
........

Modified:
  pacbuild/repos/extra-i686/	(properties)
  pacbuild/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)


Property changes on: pacbuild/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /pacbuild/trunk:1-27694
   + /pacbuild/trunk:1-35937

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-18 11:42:12 UTC (rev 35937)
+++ extra-i686/PKGBUILD	2009-04-18 11:42:35 UTC (rev 35938)
@@ -1,24 +1,25 @@
 # $Id$
 # Maintainer: Jason Chu <jason at archlinux.org>
+
 pkgname=pacbuild
 pkgver=0.4
-pkgrel=1
+pkgrel=2
 pkgdesc="A distributed build management system"
 arch=(i686 x86_64)
 url="http://groups.google.com/group/pacbuild"
 license=("GPL")
-depends=('python' 'snarf' 'python-sqlobject' 'python-pysqlite')
+depends=('snarf' 'python-sqlobject' 'python-pysqlite')
 backup=('etc/appleConfig.py' 'etc/strawberryConfig.py' 'etc/mkchroot.conf')
 source=(ftp://ftp.archlinux.org/other/pacbuild/$pkgname-$pkgver.tar.gz)
 md5sums=('ad467a286046882ddc0a79b9e7c1b60e')
 sha1sums=('1af9f97dc57fb273747a44bc96502c417b83121a')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  python setup.py install --root $startdir/pkg
-  touch $startdir/pkg/etc/appleConfig.pyc
-  touch $startdir/pkg/etc/strawberryConfig.pyc
-  mkdir -p $startdir/pkg/etc/rc.d
-  install -m 755 apple.rcd $startdir/pkg/etc/rc.d/apple
-  install -m 755 strawberry.rcd $startdir/pkg/etc/rc.d/strawberry
+  cd $srcdir/$pkgname-$pkgver
+  python setup.py install --root $pkgdir || return 1
+  touch $pkgdir/etc/appleConfig.pyc
+  touch $pkgdir/etc/strawberryConfig.pyc
+  install -d $pkgdir/etc/rc.d
+  install -m 755 apple.rcd $pkgdir/etc/rc.d/apple
+  install -m 755 strawberry.rcd $pkgdir/etc/rc.d/strawberry
 }



More information about the arch-commits mailing list